# Ogre::DriverVersion Struct Reference

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver. More...

`#include <OgreRenderSystemCapabilities.h>`

List of all members.

## Public Member Functions

| DriverVersion ()
String | toString () const
void | fromString (const String &versionString)

## Public Attributes

int | major
int | minor
int | release
int | build

## Detailed Description

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver.

Definition at line 164 of file OgreRenderSystemCapabilities.h.

## Constructor & Destructor Documentation

Ogre::DriverVersion::DriverVersion | ( |  | ) |

| Definition at line 171 of file OgreRenderSystemCapabilities.h.

## Member Function Documentation

void Ogre::DriverVersion::fromString | ( | const String & | versionString | ) |

| Definition at line 183 of file OgreRenderSystemCapabilities.h. References Ogre::StringConverter::parseInt(), and Ogre::StringUtil::split(). Referenced by Ogre::RenderSystemCapabilities::parseDriverVersionFromString().

String Ogre::DriverVersion::toString | ( |  | ) | const

| Definition at line 176 of file OgreRenderSystemCapabilities.h.

## Member Data Documentation

int Ogre::DriverVersion::build

| Definition at line 169 of file OgreRenderSystemCapabilities.h. Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::major

| Definition at line 166 of file OgreRenderSystemCapabilities.h. Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::minor

| Definition at line 167 of file OgreRenderSystemCapabilities.h. Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::release

| Definition at line 168 of file OgreRenderSystemCapabilities.h. Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

The documentation for this struct was generated from the following file:

- OgreRenderSystemCapabilities.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:51:38 2009